# Role : docker_prometheus

## Services fournis

- main.yml : Installation de prometheus sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_prometheus_fqdn: prometheus.local.lan
docker_prometheus_version: v0.23.0
docker_prometheus_data_dir: /data1
docker_prometheus_service_id: prometheus
docker_prometheus_retention_time: 90d
```

| Option                           | Valeur par défaut | Description                                                                                |
|----------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_prometheus_fqdn           |                   | Le fqdn pour accéder à prometheus                                                          |
| docker_prometheus_version        |                   | Version de l'image prometheus                                                              |
| docker_prometheus_data_dir       |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_prometheus_service_id     |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_prometheus_retention_time |                   | La durée de rétention des données dans prometheus |


## Configuration de prometheus

Créer ou modifier le fichier de configuration principal prometheus.yml dans le dossier de configuration à côté du docker-compose et redémarrer le conteneur.
